
/* test-process.c
 *
 * x-kernel v3.2
 *
 * Copyright (c) 1993 Massachusetts Board of Regents
 *
 *
 * $Log: test-process.c,v $
 * Revision 1.1  1993/11/13 00:45:50  menze
 * Original version from UMass
 *
 *
 * 1.1.1.1
 * 1993/06/09 00:48:16
 */

#include <x_stdio.h>
#include <sys/resource.h>
#include <ulocks.h>
#include <task.h>
#include <string.h>
#include <errno.h>

#include "platform.h"
#include "event.h"
#include "event_i.h"
#include "xk_debug.h"
#include "process.h"

void main();
void queue_print(Queue * queue);
extern Queue process_queue;
extern int tracesemaphores;

int	testFunction0();
int	testFunction1(int);
int	testFunction6(int, int, int, int, int, int);
void	testEventFunction(Event, void *);

int 		traceprocessswitch;
int 		traceprocesscreation;
int		traceevent;
extern int	traceidmap;
extern int 	tracequeueing;

void main()
{
	Event my_event;

	traceprocesscreation = 50;
	tracequeueing = 50;
	traceprocessswitch = 50;
	tracesemaphores = 50;
	traceevent = 50;
	traceidmap = 50;

	printf("testing process code..\n");
	process_init();
	evInit();
	init_clock(0, 10000);
	sleep(3);
	queue_print(&process_queue);
	CreateProcess6(testFunction6, 0, 6, 5, 4, 3, 2, 1);
	my_event = evSchedule(testEventFunction, (void *) 7, 1000);
	printf("done testing process code..\n");
	process_kill_all();
}

void
testEventFunction(ev, arg)
Event 	ev;
VOID	*arg;
{
	int	pid;

	pid = getpid();
	printf("testEventFunction: pid %d ev %X arg %d\n", pid, ev, arg);
	evDetach(ev);
}


int
testFunction0()
{
	printf("I'm test function0 !\n");
	fflush(stdout);
}

int
testFunction1(arg1)
int arg1;
{
	printf("I'm test function 1, with arg %d!\n", arg1);
	fflush(stdout);
}

int
testFunction6(arg1, arg2, arg3, arg4, arg5, arg6)
int arg1;
{
	Process * my_process;
	int	pid;

	my_process = process_self();
	pid = getpid();
	printf("testfunc6: process %X, pid %d (getpid %d), thread %d\n",
		my_process, my_process->pid, pid, my_process->thread_id);
	printf("I'm test function 6, with args %d %d %d %d %d %d !\n", 
		arg1, arg2, arg3, arg4, arg5, arg6);
	fflush(stdout);
}

char * xMalloc( unsigned size)
{
	return malloc(size);
}

void 
initTraceLevels()
{
}
