/**********************************************************/
/* Mach3: This is an altered version of tcp_hdr.h         */
/*        to be used when building an in-kernel version   */
/*        of the x-kernel. That is due to the fact that   */
/*        up to now usc/usit produce strict ANSI C code   */
/*        while in-kernel code is compiled with a K&R cc. */
/*        It works for mach3-mips and mach3-intelx86.     */
/*                                                        */
/* This should be fixed in the next usc/usit release.     */
/*                                                        */
/* Based on the files listed below as USC/USIT input      */
/**********************************************************/

/**********************************************************/
/*                                                        */
/*                  USC Types                             */
/*                  Wed Nov 16 16:04:38 1994              */
/*                  File: tcp_hdr.usc                     */
/*                                                        */
/**********************************************************/

/* 
 * $File: $
 *
 * x-kernel v3.2
 *
 * Copyright (c) 1993,1991,1990  Arizona Board of Regents
 *
 * usc/usit v1.0
 *
 * Copyright (c) 1994  Arizona Board of Regents
 *
 * $Revision: 1.1 $
 * $Date: 1994/11/23 16:52:42 $
 */

#if defined(__STDC__) || defined(__GNUC__)
void  tcpHdrCopyIn(void* l_native_header, void* l_net_header);
void  tcpHdrCopyOut(void* l_net_header, void* l_native_header);
void  tcpHdrCopyUOut(void* l_net_header, void* l_native_header);
void  tcpHdrCopyUIn(void* l_native_header, void* l_net_header);
unsigned short  peekNetTcpCksum(void* l_net_header);
#else
void  tcpHdrCopyIn();
void  tcpHdrCopyOut();
void  tcpHdrCopyUOut();
void  tcpHdrCopyUIn();
unsigned short  peekNetTcpCksum();
#endif

#define pokeNetTcpCksum(l_net_header,l_sum)  \
  do {\
  unsigned long r0;\
  r0 = *(unsigned char *)((unsigned char *)l_sum + (0));\
  *((char *)((char *)l_net_header + (16))) =\
      (r0);\
  r0 = *(unsigned char *)((unsigned char *)l_sum + (1));\
  *((char *)((char *)l_net_header + (17))) =\
      (r0);\
}\
 while (0)


