#ifndef rlogin_i_h
#define rlogin_i_h

#define RLOGIN_ACT_MAP_SZ 11
#define RLOGIN_PAS_MAP_SZ 11

#define	IPPORT_LOGINSERVER	513

#define IPPORT_ROUNDESVOUZ 	3000	/* for testing */

#define SHELL_BUFFERSZ 8192	/* how much to buffer in shell read() */

typedef struct {
    Map		activeMap;
    Map 	passiveMap;
    char *    	algorithm;
    int   	mode;
    int		spi;
    IPhost	myhost;
    char *    	locuser;
    char *    	remuser;
    char *    	termtype;
    IPhost    	s_iphost;
} PState;

typedef struct {
    int fd_tochild, fd_fromchild;
    Msg msg_shell;
    fd_set readfds;
    int socketfds[2];
    char *buf;
    int initialized;
    char *locuser, *remuser, *termtype;

    /* for clients */
    int index;
    FILE *fpin, *fpout;

    /* keep track of what security is being provided per seesion */
    int secflags;
} SState;

#define SEC_AUTH 1
#define SEC_PRIV 2

#endif
