/* 
 * rsasign_i.h
 *
 * x-kernel v3.2
 *
 * Copyright (c) 1993  Arizona Board of Regents
 *
 * $Revision: 1.2 $
 * $Date: 1996/05/24 19:55:36 $
 */

#ifndef rsasign_i_h
#define rsasign_i_h

#include "gmp.h"  /* for definition of type MP_INT */

typedef long 	RSAhdr;
typedef long 	RSAtype;
typedef XObj  	PassiveId; 


typedef struct {
    u_char*	key_string; /* input string, three decimal numbers */
    MP_INT	modulus, encexp, decexp;
    long	keysize; /* exact number of bytes required to contain modulus */
} rsa_keyblock;

typedef struct {
    Part	p[2];
    long	method;
    long	flags;    /* &1  Turns on IP pseudoheader length fixup. */
    rsa_keyblock *local_key;
    rsa_keyblock *remote_key;
    int		chksize;
} SState;    /* session state */

typedef XObj ActiveId;

typedef struct {
    Map		actMap;
    Map 	pasMap;
    long	flags;    /* &1  Turns on IP pseudoheader length fixup. */
    int		leafmode;
    char 	passwd[25];
    int		sendsource;
} PState;    /* protocol state */

#define RSA_PROT_TRANSP     0
#define RSA_PROT_CHECKSUM   1
#define RSA_PROT_KMGR       2

#define LEAF_RSA_PROT_CHECKSUM   0
#define LEAF_RSA_PROT_KMGR       1

#define RSA_SESS_TRANSP     0
#define RSA_SESS_CHECKSUM   1
#define RSA_SESS_KM_REMOTE  2
#define RSA_SESS_KM_LOCAL   3

#define RSA_PART_REMOTE  0
#define RSA_PART_LOCAL   1

#define	RSA_ACTIVE_MAP_SZ	257
#define	RSA_PASSIVE_MAP_SZ	13

#define ROUND8(len)  ((len + 7) >> 3)

#endif
